Bug 1129793 - [abrt] WARNING: CPU: 0 PID: 299 at drivers/gpu/drm/i915/intel_panel.c:639 pch_enable_backlight+0x1ba/0x200 [i915]()
Summary: [abrt] WARNING: CPU: 0 PID: 299 at drivers/gpu/drm/i915/intel_panel.c:639 pch...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:95427e2bf769782481d2d23aa0a...
: 1112365 1129109 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 16:52 UTC by Nicklas Lindgren
Modified: 2015-06-29 22:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:03:37 UTC


Attachments (Terms of Use)
File: dmesg (98.52 KB, text/plain)
2014-08-13 16:52 UTC, Nicklas Lindgren
no flags Details

Description Nicklas Lindgren 2014-08-13 16:52:33 UTC
Description of problem:
This problem occured after a reboot initiated by a system software update by gnome-software.
There was no apparent problem except not much appeared to happen between the first and second reboot.
During the entire process the lid was closed and an external monitor/keyboard/mouse was attached.

Additional info:
reporter:       libreport-2.2.3
WARNING: CPU: 0 PID: 299 at drivers/gpu/drm/i915/intel_panel.c:639 pch_enable_backlight+0x1ba/0x200 [i915]()
cpu backlight already enabled
Modules linked in: uas usb_storage i915(+) crc32_pclmul i2c_algo_bit drm_kms_helper crc32c_intel drm ghash_clmulni_intel i2c_core video
CPU: 0 PID: 299 Comm: systemd-udevd Not tainted 3.15.7-200.fc20.x86_64 #1
Hardware name: Apple Inc. MacBookAir4,2/Mac-742912EFDBEE19B3, BIOS MBA41.88Z.0077.B0F.1201241549 01/24/2012
 0000000000000000 0000000077d48d24 ffff880167ab3248 ffffffff816ef92e
 ffff880167ab3290 ffff880167ab3280 ffffffff8108933d ffff88003f930000
 ffff880167079c00 0000000000000000 0000000080000000 ffff880167fdbb48
Call Trace:
 [<ffffffff816ef92e>] dump_stack+0x45/0x56
 [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa012ac6a>] pch_enable_backlight+0x1ba/0x200 [i915]
 [<ffffffffa012b312>] intel_panel_enable_backlight+0x82/0xd0 [i915]
 [<ffffffffa012076f>] intel_edp_backlight_on+0xcf/0x130 [i915]
 [<ffffffffa012139e>] g4x_enable_dp+0x1e/0x30 [i915]
 [<ffffffffa010250b>] ironlake_crtc_enable+0x34b/0xd20 [i915]
 [<ffffffff81359e6a>] ? delay_tsc+0x4a/0x80
 [<ffffffffa0104947>] __intel_set_mode+0x827/0x1640 [i915]
 [<ffffffffa0107e16>] intel_set_mode+0x16/0x30 [i915]
 [<ffffffffa0108ced>] intel_crtc_set_config+0x8ed/0xdc0 [i915]
 [<ffffffffa00485a1>] drm_mode_set_config_internal+0x61/0xf0 [drm]
 [<ffffffffa00a8723>] drm_fb_helper_restore_fbdev_mode+0xb3/0xe0 [drm_kms_helper]
 [<ffffffffa00aa341>] drm_fb_helper_set_par+0x31/0x80 [drm_kms_helper]
 [<ffffffff813b3bd4>] fbcon_init+0x4f4/0x570
 [<ffffffff8142fc28>] visual_init+0xb8/0x120
 [<ffffffff81432353>] do_bind_con_driver+0x163/0x330
 [<ffffffff81432b04>] do_take_over_console+0x114/0x1c0
 [<ffffffff813af2c3>] do_fbcon_takeover+0x63/0xd0
 [<ffffffff813b466d>] fbcon_event_notify+0x68d/0x7e0
 [<ffffffff816fa8bc>] notifier_call_chain+0x4c/0x70
 [<ffffffff810b0e7d>] __blocking_notifier_call_chain+0x4d/0x70
 [<ffffffff810b0eb6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff813bb0ab>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff813bd106>] register_framebuffer+0x1f6/0x340
 [<ffffffffa00aa6be>] drm_fb_helper_initial_config+0x32e/0x500 [drm_kms_helper]
 [<ffffffffa00ef3b6>] ? gen6_write32+0x66/0x100 [i915]
 [<ffffffffa0113f8f>] intel_fbdev_initial_config+0x1f/0x30 [i915]
 [<ffffffffa013530a>] i915_driver_load+0xeba/0xf40 [i915]
 [<ffffffff81350db8>] ? kobject_uevent_env+0x178/0x690
 [<ffffffff81459cf7>] ? get_device+0x17/0x30
 [<ffffffff8145f6f5>] ? klist_class_dev_get+0x15/0x20
 [<ffffffff816dffe2>] ? klist_add_tail+0x32/0x40
 [<ffffffff8145b679>] ? device_add+0x219/0x630
 [<ffffffffa0046357>] ? drm_sysfs_device_add+0xd7/0x120 [drm]
 [<ffffffffa004272d>] drm_dev_register+0xad/0x100 [drm]
 [<ffffffffa0045309>] drm_get_pci_dev+0x89/0x200 [drm]
 [<ffffffffa00b35eb>] i915_pci_probe+0x3b/0x60 [i915]
 [<ffffffff8138eca5>] local_pci_probe+0x45/0xa0
 [<ffffffff81390099>] pci_device_probe+0xf9/0x150
 [<ffffffff8145ea0d>] driver_probe_device+0x12d/0x3d0
 [<ffffffff8145ed83>] __driver_attach+0x93/0xa0
 [<ffffffff8145ecf0>] ? __device_attach+0x40/0x40
 [<ffffffff8145c833>] bus_for_each_dev+0x73/0xc0
 [<ffffffff8145e3be>] driver_attach+0x1e/0x20
 [<ffffffff8145df70>] bus_add_driver+0x180/0x250
 [<ffffffffa0181000>] ? 0xffffffffa0180fff
 [<ffffffff8145f404>] driver_register+0x64/0xf0
 [<ffffffffa0181000>] ? 0xffffffffa0180fff
 [<ffffffff8138e63c>] __pci_register_driver+0x4c/0x50
 [<ffffffffa004558a>] drm_pci_init+0x10a/0x140 [drm]
 [<ffffffffa0181000>] ? 0xffffffffa0180fff
 [<ffffffffa018106a>] i915_init+0x6a/0x6c [i915]
 [<ffffffff8100216a>] do_one_initcall+0xfa/0x1b0
 [<ffffffff81059873>] ? set_memory_nx+0x43/0x50
 [<ffffffff81104082>] load_module+0x1d92/0x25e0
 [<ffffffff810ffda0>] ? store_uevent+0x70/0x70
 [<ffffffff811ec5d0>] ? kernel_read+0x50/0x80
 [<ffffffff81104a86>] SyS_finit_module+0xa6/0xd0
 [<ffffffff816ff969>] system_call_fastpath+0x16/0x1b

Comment 1 Nicklas Lindgren 2014-08-13 16:52:37 UTC
Created attachment 926523 [details]
File: dmesg

Comment 2 Adam Jackson 2014-11-18 20:12:47 UTC
*** Bug 1112365 has been marked as a duplicate of this bug. ***

Comment 3 Adam Jackson 2014-11-18 20:12:52 UTC
*** Bug 1129109 has been marked as a duplicate of this bug. ***

Comment 4 Fedora End Of Life 2015-05-29 12:37:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 22:03:37 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.